### Method

# St Entry set_text

#### Declaration [src]

    void
    st_entry_set_text (
      StEntry* entry,
      const gchar* text
    )

#### Description [src]

Sets the text displayed on the entry. If `text` is `NULL`, the `ClutterText` will instead be set to an empty string.

Sets property | `St.Entry:text`

#### Parameters

`text`

  Type: `const gchar*`

  Text to set the entry to.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.